Bug 46636 - Allow server mode to optionally use a fixed rmi port
Allow server mode to optionally use a fixed rmi port
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.3.1
PC Windows Server 2003
: P2 blocker (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-01-30 06:12 UTC by mathieu
Modified: 2009-05-10 07:55 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu 2009-01-30 06:12:39 UTC
hello,

I would to know how to configure fixe ports, because when I use the soft with defaults parameters (port 1099), application choose dynamic ports and all the traffic is block by my firewall.
I already open a port range but I want use fixe port.

thank for your help.

regards.
Comment 1 Sebb 2009-01-30 06:37:15 UTC
The additional RMI ports are not opened by JMeter, but by the Java RMI code.

As far as I know, there's no way to control these.

If you can control these ports, then please re-open with the details.
Comment 2 Sebb 2009-02-25 18:33:41 UTC
Turns out it is possible to bind the remote object to a specific port.

If the JMeter property "server.rmi.localport" is defined before starting the JMeter server, then it will be used as the local port.

Fixes committed to SVN trunk:

URL: http://svn.apache.org/viewvc?rev=747989&view=rev
Log:
Bug 46636 - rmi ports
Remote server now uses port defined by the property server.rmi.localport if present
Simplified Client / Server classes
Show remote object connections on console